Bug 978264 - Error refreshing hardware page: unsupported operand type(s) for /: 'NoneType' and 'int'
Error refreshing hardware page: unsupported operand type(s) for /: 'NoneType'...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
18
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 04:36 EDT by Jan Stodola
Modified: 2013-07-09 21:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-virtinst-0.600.4-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-09 21:33:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2013-06-26 04:36:38 EDT
Description of problem:

Error refreshing hardware page: unsupported operand type(s) for /: 'NoneType' and 'int'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/details.py", line 1307, in hw_selected
    self.refresh_disk_page()
  File "/usr/share/virt-manager/virtManager/details.py", line 2905, in refresh_disk_page
    iotune_read_bytes_sec = disk.iotune_read_bytes_sec / 1024
TypeError: unsupported operand type(s) for /: 'NoneType' and 'int'


Version-Release number of selected component (if applicable):
virt-manager-0.9.5-1.fc18.noarch

How reproducible:
always

Steps to Reproduce:
1. start virt-manager
2. create new virtual machine, select "Network Install (HTTP, FTP or NFS)"
3. enter install URL (URL to RHEL-6.4 was entered)
4. do not modify RAM/CPU (1024 MB / 1 CPU)
5. let virt-manager to create a disk image, use default values
6. check "Customize configuration before install" and click on "Finish"
7. Select disk (labeled as "Disk 1")

Actual results:
error message with traceback

Expected results:
disk configuration can be modified
Comment 1 Cole Robinson 2013-06-26 10:17:41 EDT
This is fixed upstream:

commit 21858615b509f04ba0702e2f69f89225c322eb8c
Author: Cole Robinson <crobinso@redhat.com>
Date:   Sat Apr 20 18:37:34 2013 -0400

    Fix accessing disk page in virt-manager 'customize before install'
Comment 2 Fedora Update System 2013-06-28 20:59:38 EDT
python-virtinst-0.600.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-virtinst-0.600.4-2.fc18
Comment 3 Fedora Update System 2013-06-30 21:40:58 EDT
Package python-virtinst-0.600.4-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-virtinst-0.600.4-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12006/python-virtinst-0.600.4-2.fc18
then log in and leave karma (feedback).
Comment 4 Jan Stodola 2013-07-02 03:05:17 EDT
No longer able to reproduce with python-virtinst-0.600.4-2.fc18.
Thanks, moving to VERIFIED.
Comment 5 Fedora Update System 2013-07-09 21:33:10 EDT
python-virtinst-0.600.4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.